Index: LMDZ6/trunk/libf/dyn3d_common/advx.F
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/advx.F	(revision 5076)
+++ LMDZ6/trunk/libf/dyn3d_common/advx.F	(revision 5077)
@@ -95,7 +95,7 @@
 
 C  -------------------------------------
-      DO 300 j = 1,jjp1 
+      DO j = 1,jjp1 
          NUM(j) = 1
-  300 CONTINUE
+      END DO
       sqi = 0.
       sqf = 0.
@@ -121,10 +121,12 @@
 C  ugri est en kg/s
 
-      DO 500 l = 1,llm
-         DO 500 j = 1,jjm+1
-            DO 500 i = 1,iip1  
+      DO l = 1,llm
+         DO j = 1,jjm+1
+            DO i = 1,iip1
 C            ugri (i,j,llm+1-l) = pbaru (i,j,l) * ( dsig(l) / g )
              ugri (i,j,llm+1-l) = pbaru (i,j,l)
-  500 CONTINUE
+      END DO
+      END DO
+      END DO
 
 
@@ -137,6 +139,6 @@
 C  boucle principale sur les niveaux et les latitudes
 C
-      DO 1 L=1,NIV
-      DO 1 K=lati,latf
+      DO L=1,NIV
+      DO K=lati,latf
 C
 C  initialisation
@@ -144,7 +146,7 @@
 C  program assumes periodic boundaries in X
 C
-      DO 10 I=2,LON
+      DO I=2,LON
          SMNEW(I)=SM(I,K,L)+(UGRI(I-1,K,L)-UGRI(I,K,L))*DTX
- 10   CONTINUE
+      END DO
       SMNEW(1)=SM(1,K,L)+(UGRI(LON,K,L)-UGRI(1,K,L))*DTX
 C
@@ -154,26 +156,26 @@
       LONK=LON/NUMK
 C
-      IF(NUMK.GT.1) THEN
-C
-      DO 111 I=1,LON
+      IF(NUMK>1) THEN
+C
+      DO I=1,LON
          TM(I)=0.
- 111  CONTINUE
-      DO 112 JV=1,NTRA
-      DO 1120 I=1,LON
+      END DO
+      DO JV=1,NTRA
+      DO I=1,LON
          T0(I,JV)=0.
          TX(I,JV)=0.
          TY(I,JV)=0.
          TZ(I,JV)=0.
- 1120 CONTINUE
- 112  CONTINUE
-C
-      DO 11 I2=1,NUMK
-C
-         DO 113 I=1,LONK
+      END DO
+      END DO
+C
+      DO I2=1,NUMK
+C
+         DO I=1,LONK
             I3=(I-1)*NUMK+I2
             TM(I)=TM(I)+SM(I3,K,L)
             ALF(I)=SM(I3,K,L)/TM(I)
             ALF1(I)=1.-ALF(I)
- 113     CONTINUE
+      END DO
 C
          DO  JV=1,NTRA
@@ -190,25 +192,25 @@
          ENDDO
 C
- 11   CONTINUE
+      END DO
 C
       ELSE
 C
-      DO 115 I=1,LON
+      DO I=1,LON
          TM(I)=SM(I,K,L)
- 115  CONTINUE
-      DO 116 JV=1,NTRA
-      DO 1160 I=1,LON
+      END DO
+      DO JV=1,NTRA
+      DO I=1,LON
          T0(I,JV)=S0(I,K,L,JV)
          TX(I,JV)=sx(I,K,L,JV)
          TY(I,JV)=sy(I,K,L,JV)
          TZ(I,JV)=sz(I,K,L,JV)
- 1160 CONTINUE
- 116  CONTINUE
+      END DO
+      END DO
 C
       ENDIF
 C
-      DO 117 I=1,LONK
+      DO I=1,LONK
          UEXT(I)=UGRI(I*NUMK,K,L)
- 117  CONTINUE
+      END DO
 C
 C  place limits on appropriate moments before transport
@@ -217,9 +219,9 @@
       IF(.NOT.LIMIT) GO TO 13
 C
-      DO 12 JV=1,NTRA
-      DO 120 I=1,LONK
+      DO JV=1,NTRA
+      DO I=1,LONK
         TX(I,JV)=SIGN(AMIN1(AMAX1(T0(I,JV),0.),ABS(TX(I,JV))),TX(I,JV))
- 120  CONTINUE
- 12   CONTINUE
+      END DO
+      END DO
 C
  13   CONTINUE
@@ -231,14 +233,14 @@
 C  flux from IP to I if U(I).lt.0
 C
-      DO 140 I=1,LONK-1
-         IF(UEXT(I).LT.0.) THEN
+      DO I=1,LONK-1
+         IF(UEXT(I)<0.) THEN
            FM(I)=-UEXT(I)*DTX
            ALF(I)=FM(I)/TM(I+1)
            TM(I+1)=TM(I+1)-FM(I)
          ENDIF
- 140  CONTINUE
+      END DO
 C
       I=LONK
-      IF(UEXT(I).LT.0.) THEN
+      IF(UEXT(I)<0.) THEN
         FM(I)=-UEXT(I)*DTX
         ALF(I)=FM(I)/TM(1)
@@ -248,22 +250,22 @@
 C  flux from I to IP if U(I).gt.0
 C
-      DO 141 I=1,LONK
-         IF(UEXT(I).GE.0.) THEN
+      DO I=1,LONK
+         IF(UEXT(I)>=0.) THEN
            FM(I)=UEXT(I)*DTX
            ALF(I)=FM(I)/TM(I)
            TM(I)=TM(I)-FM(I)
          ENDIF
- 141  CONTINUE
-C
-      DO 142 I=1,LONK
+      END DO
+C
+      DO I=1,LONK
          ALFQ(I)=ALF(I)*ALF(I)
          ALF1(I)=1.-ALF(I)
          ALF1Q(I)=ALF1(I)*ALF1(I)
- 142  CONTINUE
-C
-      DO 150 JV=1,NTRA
-      DO 1500 I=1,LONK-1
-C
-         IF(UEXT(I).LT.0.) THEN
+      END DO
+C
+      DO JV=1,NTRA
+      DO I=1,LONK-1
+C
+         IF(UEXT(I)<0.) THEN
 C
            F0(I,JV)=ALF (I)* ( T0(I+1,JV)-ALF1(I)*TX(I+1,JV) )
@@ -279,11 +281,11 @@
          ENDIF
 C
- 1500 CONTINUE
- 150  CONTINUE
+      END DO
+      END DO
 C
       I=LONK
-      IF(UEXT(I).LT.0.) THEN
-C
-        DO 151 JV=1,NTRA
+      IF(UEXT(I)<0.) THEN
+C
+        DO JV=1,NTRA
 C
            F0 (I,JV)=ALF (I)* ( T0(1,JV)-ALF1(I)*TX(1,JV) )
@@ -297,12 +299,12 @@
            TZ(1,JV)=TZ(1,JV)-FZ(I,JV)
 C
- 151    CONTINUE
+      END DO
 C
       ENDIF
 C
-      DO 152 JV=1,NTRA
-      DO 1520 I=1,LONK
-C
-         IF(UEXT(I).GE.0.) THEN
+      DO JV=1,NTRA
+      DO I=1,LONK
+C
+         IF(UEXT(I)>=0.) THEN
 C
            F0(I,JV)=ALF (I)* ( T0(I,JV)+ALF1(I)*TX(I,JV) )
@@ -318,37 +320,37 @@
          ENDIF
 C
- 1520 CONTINUE
- 152  CONTINUE
+      END DO
+      END DO
 C
 C  puts the temporary moments Fi into appropriate neighboring boxes
 C
-      DO 160 I=1,LONK
-         IF(UEXT(I).LT.0.) THEN
+      DO I=1,LONK
+         IF(UEXT(I)<0.) THEN
            TM(I)=TM(I)+FM(I)
            ALF(I)=FM(I)/TM(I)
          ENDIF
- 160  CONTINUE
-C
-      DO 161 I=1,LONK-1
-         IF(UEXT(I).GE.0.) THEN
+      END DO
+C
+      DO I=1,LONK-1
+         IF(UEXT(I)>=0.) THEN
            TM(I+1)=TM(I+1)+FM(I)
            ALF(I)=FM(I)/TM(I+1)
          ENDIF
- 161  CONTINUE
+      END DO
 C
       I=LONK
-      IF(UEXT(I).GE.0.) THEN
+      IF(UEXT(I)>=0.) THEN
         TM(1)=TM(1)+FM(I)
         ALF(I)=FM(I)/TM(1)
       ENDIF
 C
-      DO 162 I=1,LONK
+      DO I=1,LONK
          ALF1(I)=1.-ALF(I)
- 162  CONTINUE
-C
-      DO 170 JV=1,NTRA
-      DO 1700 I=1,LONK
-C
-         IF(UEXT(I).LT.0.) THEN
+      END DO
+C
+      DO JV=1,NTRA
+      DO I=1,LONK
+C
+         IF(UEXT(I)<0.) THEN
 C
            TEMPTM=-ALF(I)*T0(I,JV)+ALF1(I)*F0(I,JV)
@@ -360,11 +362,11 @@
          ENDIF
 C
- 1700 CONTINUE
- 170  CONTINUE
-C
-      DO 171 JV=1,NTRA
-      DO 1710 I=1,LONK-1
-C
-         IF(UEXT(I).GE.0.) THEN
+      END DO
+      END DO
+C
+      DO JV=1,NTRA
+      DO I=1,LONK-1
+C
+         IF(UEXT(I)>=0.) THEN
 C
            TEMPTM=ALF(I)*T0(I+1,JV)-ALF1(I)*F0(I,JV)
@@ -376,10 +378,10 @@
          ENDIF
 C
- 1710 CONTINUE
- 171  CONTINUE
+      END DO
+      END DO
 C
       I=LONK
-      IF(UEXT(I).GE.0.) THEN
-        DO 172 JV=1,NTRA
+      IF(UEXT(I)>=0.) THEN
+        DO JV=1,NTRA
            TEMPTM=ALF(I)*T0(1,JV)-ALF1(I)*F0(I,JV)
            T0(1,JV)=T0(1,JV)+F0(I,JV)
@@ -387,14 +389,14 @@
            TY(1,JV)=TY(1,JV)+FY(I,JV)
            TZ(1,JV)=TZ(1,JV)+FZ(I,JV)
- 172    CONTINUE
+      END DO
       ENDIF
 C
 C  retour aux mailles d'origine (passage des Tij aux Sij)
 C
-      IF(NUMK.GT.1) THEN
-C
-      DO 180 I2=1,NUMK
-C
-         DO 180 I=1,LONK
+      IF(NUMK>1) THEN
+C
+      DO I2=1,NUMK
+C
+         DO I=1,LONK
 C
             I3=I2+(I-1)*NUMK
@@ -407,5 +409,6 @@
             ALF1Q(I)=ALF1(I)*ALF1(I)
 C
- 180     CONTINUE
+      END DO
+      END DO
 C
          DO  JV=1,NTRA
@@ -431,19 +434,20 @@
       ELSE
 C
-      DO 190 I=1,LON
+      DO I=1,LON
          SM(I,K,L)=TM(I)
- 190  CONTINUE
-      DO 191 JV=1,NTRA
-      DO 1910 I=1,LON
+      END DO
+      DO JV=1,NTRA
+      DO I=1,LON
          S0(I,K,L,JV)=T0(I,JV)
          sx(I,K,L,JV)=TX(I,JV)
          sy(I,K,L,JV)=TY(I,JV)
          sz(I,K,L,JV)=TZ(I,JV)
- 1910 CONTINUE
- 191  CONTINUE
+      END DO
+      END DO
 C
       ENDIF
 C
- 1    CONTINUE
+      END DO
+      END DO
 C
 C ----------- AA Test en fin de ADVX ------ Controle des S*
Index: LMDZ6/trunk/libf/dyn3d_common/advxp.F
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/advxp.F	(revision 5076)
+++ LMDZ6/trunk/libf/dyn3d_common/advxp.F	(revision 5077)
@@ -126,7 +126,7 @@
 c test
 c  -------------------------------------
-        DO 300 j =1,jjp1
+        DO j =1,jjp1
          NUM(j) =1 
- 300  CONTINUE
+      END DO
 c       DO l=1,llm
 c      NUM(2,l)=6
@@ -150,9 +150,11 @@
 C  ugri est en kg/s
 
-       DO 500 l = 1,llm
-       DO 500 j = 1,jjp1
-       DO 500 i = 1,iip1
+       DO l = 1,llm
+       DO j = 1,jjp1
+       DO i = 1,iip1
        ugri (i,j,llm+1-l) =pbaru (i,j,l) 
- 500   CONTINUE
+      END DO
+      END DO
+      END DO
 
 C  ---------------------------------------------------------
@@ -161,6 +163,6 @@
 C  boucle principale sur les niveaux et les latitudes
 C     
-      DO 1 L=1,NIV
-      DO 1 K=lati,latf
+      DO L=1,NIV
+      DO K=lati,latf
 
 C
@@ -169,7 +171,7 @@
 C  program assumes periodic boundaries in X
 C
-      DO 10 I=2,LON
+      DO I=2,LON
          SMNEW(I)=SM(I,K,L)+(UGRI(I-1,K,L)-UGRI(I,K,L))*DTX
- 10   CONTINUE
+      END DO
       SMNEW(1)=SM(1,K,L)+(UGRI(LON,K,L)-UGRI(1,K,L))*DTX
 C
@@ -179,11 +181,11 @@
       LONK=LON/NUMK
 C
-      IF(NUMK.GT.1) THEN
-C
-      DO 111 I=1,LON
+      IF(NUMK>1) THEN
+C
+      DO I=1,LON
          TM(I)=0.
- 111  CONTINUE
-      DO 112 JV=1,NTRA
-      DO 1120 I=1,LON
+      END DO
+      DO JV=1,NTRA
+      DO I=1,LON
          T0 (I,JV)=0.
          TX (I,JV)=0.
@@ -196,10 +198,10 @@
          TYZ(I,JV)=0.
          TZZ(I,JV)=0.
- 1120 CONTINUE
- 112  CONTINUE
-C
-      DO 11 I2=1,NUMK
-C
-         DO 113 I=1,LONK
+      END DO
+      END DO
+C
+      DO I2=1,NUMK
+C
+         DO I=1,LONK
             I3=(I-1)*NUMK+I2
             TM(I)=TM(I)+SM(I3,K,L)
@@ -210,8 +212,8 @@
             ALF2(I)=ALF1(I)-ALF(I)
             ALF3(I)=ALF(I)*ALF1(I)
- 113     CONTINUE
-C
-         DO 114 JV=1,NTRA
-         DO 1140 I=1,LONK
+      END DO
+C
+         DO JV=1,NTRA
+         DO I=1,LONK
             I3=(I-1)*NUMK+I2
             TEMPTM=-ALF(I)*T0(I,JV)+ALF1(I)*S0(I3,K,L,JV)
@@ -229,16 +231,16 @@
             TYZ(I,JV)=TYZ(I,JV)+SYZ(I3,K,L,JV)
             TZZ(I,JV)=TZZ(I,JV)+SZZ(I3,K,L,JV)
- 1140    CONTINUE
- 114     CONTINUE
-C
- 11   CONTINUE
+      END DO
+      END DO
+C
+      END DO
 C
       ELSE
 C
-      DO 115 I=1,LON
+      DO I=1,LON
          TM(I)=SM(I,K,L)
- 115  CONTINUE
-      DO 116 JV=1,NTRA
-      DO 1160 I=1,LON
+      END DO
+      DO JV=1,NTRA
+      DO I=1,LON
          T0 (I,JV)=S0 (I,K,L,JV)
          TX (I,JV)=SSX (I,K,L,JV)
@@ -251,12 +253,12 @@
          TYZ(I,JV)=SYZ(I,K,L,JV)
          TZZ(I,JV)=SZZ(I,K,L,JV)
- 1160 CONTINUE
- 116  CONTINUE
+      END DO
+      END DO
 C
       ENDIF
 C
-      DO 117 I=1,LONK
+      DO I=1,LONK
          UEXT(I)=UGRI(I*NUMK,K,L)
- 117  CONTINUE
+      END DO
 C
 C  place limits on appropriate moments before transport
@@ -265,7 +267,7 @@
       IF(.NOT.LIMIT) GO TO 13
 C
-      DO 12 JV=1,NTRA
-      DO 120 I=1,LONK
-        IF(T0(I,JV).GT.0.) THEN
+      DO JV=1,NTRA
+      DO I=1,LONK
+        IF(T0(I,JV)>0.) THEN
           SLPMAX=T0(I,JV)
           S1MAX=1.5*SLPMAX
@@ -283,6 +285,6 @@
           TXZ(I,JV)=0.
         ENDIF
- 120  CONTINUE
- 12   CONTINUE
+      END DO
+      END DO
 C
  13   CONTINUE
@@ -294,14 +296,14 @@
 C  flux from IP to I if U(I).lt.0
 C
-      DO 140 I=1,LONK-1
-         IF(UEXT(I).LT.0.) THEN
+      DO I=1,LONK-1
+         IF(UEXT(I)<0.) THEN
            FM(I)=-UEXT(I)*DTX
            ALF(I)=FM(I)/TM(I+1)
            TM(I+1)=TM(I+1)-FM(I)
          ENDIF
- 140  CONTINUE
+      END DO
 C
       I=LONK
-      IF(UEXT(I).LT.0.) THEN
+      IF(UEXT(I)<0.) THEN
         FM(I)=-UEXT(I)*DTX
         ALF(I)=FM(I)/TM(1)
@@ -311,13 +313,13 @@
 C  flux from I to IP if U(I).gt.0
 C
-      DO 141 I=1,LONK
-         IF(UEXT(I).GE.0.) THEN
+      DO I=1,LONK
+         IF(UEXT(I)>=0.) THEN
            FM(I)=UEXT(I)*DTX
            ALF(I)=FM(I)/TM(I)
            TM(I)=TM(I)-FM(I)
          ENDIF
- 141  CONTINUE
-C
-      DO 142 I=1,LONK
+      END DO
+C
+      DO I=1,LONK
          ALFQ(I)=ALF(I)*ALF(I)
          ALF1(I)=1.-ALF(I)
@@ -326,10 +328,10 @@
          ALF3(I)=ALF(I)*ALFQ(I)
          ALF4(I)=ALF1(I)*ALF1Q(I)
- 142  CONTINUE
-C
-      DO 150 JV=1,NTRA
-      DO 1500 I=1,LONK-1
-C
-         IF(UEXT(I).LT.0.) THEN
+      END DO
+C
+      DO JV=1,NTRA
+      DO I=1,LONK-1
+C
+         IF(UEXT(I)<0.) THEN
 C
            F0 (I,JV)=ALF (I)* ( T0(I+1,JV)-ALF1(I)*
@@ -358,11 +360,11 @@
          ENDIF
 C
- 1500 CONTINUE
- 150  CONTINUE
+      END DO
+      END DO
 C
       I=LONK
-      IF(UEXT(I).LT.0.) THEN
-C
-        DO 151 JV=1,NTRA
+      IF(UEXT(I)<0.) THEN
+C
+        DO JV=1,NTRA
 C
            F0 (I,JV)=ALF (I)* ( T0(1,JV)-ALF1(I)*
@@ -389,12 +391,12 @@
            TXZ(1,JV)=ALF1Q(I)*TXZ(1,JV)
 C
- 151    CONTINUE
+      END DO
 C
       ENDIF
 C
-      DO 152 JV=1,NTRA
-      DO 1520 I=1,LONK
-C
-         IF(UEXT(I).GE.0.) THEN
+      DO JV=1,NTRA
+      DO I=1,LONK
+C
+         IF(UEXT(I)>=0.) THEN
 C
            F0 (I,JV)=ALF (I)* ( T0(I,JV)+ALF1(I)*
@@ -423,30 +425,30 @@
          ENDIF
 C
- 1520 CONTINUE
- 152  CONTINUE
+      END DO
+      END DO
 C
 C  puts the temporary moments Fi into appropriate neighboring boxes
 C
-      DO 160 I=1,LONK
-         IF(UEXT(I).LT.0.) THEN
+      DO I=1,LONK
+         IF(UEXT(I)<0.) THEN
            TM(I)=TM(I)+FM(I)
            ALF(I)=FM(I)/TM(I)
          ENDIF
- 160  CONTINUE
-C
-      DO 161 I=1,LONK-1
-         IF(UEXT(I).GE.0.) THEN
+      END DO
+C
+      DO I=1,LONK-1
+         IF(UEXT(I)>=0.) THEN
            TM(I+1)=TM(I+1)+FM(I)
            ALF(I)=FM(I)/TM(I+1)
          ENDIF
- 161  CONTINUE
+      END DO
 C
       I=LONK
-      IF(UEXT(I).GE.0.) THEN
+      IF(UEXT(I)>=0.) THEN
         TM(1)=TM(1)+FM(I)
         ALF(I)=FM(I)/TM(1)
       ENDIF
 C
-      DO 162 I=1,LONK
+      DO I=1,LONK
          ALF1(I)=1.-ALF(I)
          ALFQ(I)=ALF(I)*ALF(I)
@@ -454,10 +456,10 @@
          ALF2(I)=ALF1(I)-ALF(I)
          ALF3(I)=ALF(I)*ALF1(I)
- 162  CONTINUE
-C
-      DO 170 JV=1,NTRA
-      DO 1700 I=1,LONK
-C
-         IF(UEXT(I).LT.0.) THEN
+      END DO
+C
+      DO JV=1,NTRA
+      DO I=1,LONK
+C
+         IF(UEXT(I)<0.) THEN
 C
            TEMPTM=-ALF(I)*T0(I,JV)+ALF1(I)*F0(I,JV)
@@ -478,11 +480,11 @@
          ENDIF
 C
- 1700 CONTINUE
- 170  CONTINUE
-C
-      DO 171 JV=1,NTRA
-      DO 1710 I=1,LONK-1
-C
-         IF(UEXT(I).GE.0.) THEN
+      END DO
+      END DO
+C
+      DO JV=1,NTRA
+      DO I=1,LONK-1
+C
+         IF(UEXT(I)>=0.) THEN
 C
            TEMPTM=ALF(I)*T0(I+1,JV)-ALF1(I)*F0(I,JV)
@@ -503,10 +505,10 @@
          ENDIF
 C
- 1710 CONTINUE
- 171  CONTINUE
+      END DO
+      END DO
 C
       I=LONK
-      IF(UEXT(I).GE.0.) THEN
-        DO 172 JV=1,NTRA
+      IF(UEXT(I)>=0.) THEN
+        DO JV=1,NTRA
            TEMPTM=ALF(I)*T0(1,JV)-ALF1(I)*F0(I,JV)
            T0 (1,JV)=T0(1,JV)+F0(I,JV)
@@ -523,14 +525,14 @@
            TYZ(1,JV)=TYZ(1,JV)+FYZ(I,JV)
            TZZ(1,JV)=TZZ(1,JV)+FZZ(I,JV)
- 172    CONTINUE
+      END DO
       ENDIF
 C
 C  retour aux mailles d'origine (passage des Tij aux Sij)
 C
-      IF(NUMK.GT.1) THEN
-C
-      DO 18 I2=1,NUMK
-C
-         DO 180 I=1,LONK
+      IF(NUMK>1) THEN
+C
+      DO I2=1,NUMK
+C
+         DO I=1,LONK
 C
             I3=I2+(I-1)*NUMK
@@ -546,8 +548,8 @@
             ALF4(I)=ALF1(I)*ALF1Q(I)
 C
- 180     CONTINUE
-C
-         DO 181 JV=1,NTRA
-         DO 181 I=1,LONK
+      END DO
+C
+         DO JV=1,NTRA
+         DO I=1,LONK
 C
             I3=I2+(I-1)*NUMK
@@ -577,15 +579,16 @@
             TXZ(I,JV)=ALF1Q(I)*TXZ(I,JV)
 C
- 181     CONTINUE
-C
- 18   CONTINUE
+      END DO
+      END DO
+C
+      END DO
 C
       ELSE
 C
-      DO 190 I=1,LON
+      DO I=1,LON
          SM(I,K,L)=TM(I)
- 190  CONTINUE
-      DO 191 JV=1,NTRA
-      DO 1910 I=1,LON
+      END DO
+      DO JV=1,NTRA
+      DO I=1,LON
          S0 (I,K,L,JV)=T0 (I,JV)
          SSX (I,K,L,JV)=TX (I,JV)
@@ -598,10 +601,11 @@
          SYZ(I,K,L,JV)=TYZ(I,JV)
          SZZ(I,K,L,JV)=TZZ(I,JV)
- 1910 CONTINUE
- 191  CONTINUE
+      END DO
+      END DO
 C
       ENDIF
 C
- 1    CONTINUE
+      END DO
+      END DO
 C
 C ----------- AA Test en fin de ADVX ------ Controle des S*
Index: LMDZ6/trunk/libf/dyn3d_common/comdissip.h
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/comdissip.h	(revision 5076)
+++ LMDZ6/trunk/libf/dyn3d_common/comdissip.h	(revision 5077)
@@ -6,5 +6,5 @@
 
       COMMON/comdissip/                                                 &
-     &    niterdis,coefdis,tetavel,tetatemp,gamdissip
+     &    coefdis,tetavel,tetatemp,gamdissip,niterdis
 
 