Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F	(revision 5080)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F	(revision 5081)
@@ -301,20 +301,20 @@
       IF( purmats ) THEN
       ! Purely Matsuno time stepping
-         IF( MOD(itau,iconser) .EQ.0.AND.  forward    ) conser = .TRUE.
-         IF( MOD(itau,dissip_period ).EQ.0.AND..NOT.forward ) 
+         IF( MOD(itau,iconser) ==0.AND.  forward    ) conser = .TRUE.
+         IF( MOD(itau,dissip_period )==0.AND..NOT.forward )
      s        apdiss = .TRUE.
-         IF( MOD(itau,iphysiq ).EQ.0.AND..NOT.forward 
+         IF( MOD(itau,iphysiq )==0.AND..NOT.forward
      s          .and. physic                        ) apphys = .TRUE.
       ELSE
       ! Leapfrog/Matsuno time stepping 
-         IF( MOD(itau   ,iconser) .EQ. 0              ) conser = .TRUE.
-         IF( MOD(itau+1,dissip_period).EQ.0 .AND. .NOT. forward )
+         IF( MOD(itau   ,iconser) == 0              ) conser = .TRUE.
+         IF( MOD(itau+1,dissip_period)==0 .AND. .NOT. forward )
      s        apdiss = .TRUE.
-         IF( MOD(itau+1,iphysiq).EQ.0.AND.physic       ) apphys=.TRUE.
+         IF( MOD(itau+1,iphysiq)==0.AND.physic       ) apphys=.TRUE.
       END IF
 
 ! Ehouarn: for Shallow Water case (ie: 1 vertical layer),
 !          supress dissipation step
-      if (llm.eq.1) then
+      if (llm==1) then
         apdiss=.false.
       endif
@@ -387,5 +387,5 @@
 c
        IF( purmats )  THEN
-          IF( itau.EQ.itaufin.AND..NOT.forward ) lafin = .TRUE.
+          IF( itau==itaufin.AND..NOT.forward ) lafin = .TRUE.
        ELSE
           IF( itau+1. EQ. itaufin )              lafin = .TRUE.
@@ -418,5 +418,5 @@
      &          (itau+1)/day_step
 
-           IF (planet_type .eq."generic") THEN
+           IF (planet_type =="generic") THEN
               ! AS: we make jD_cur to be pday
               jD_cur = int(day_ini + itau/day_step)
@@ -441,8 +441,8 @@
 
 c  Diagnostique de conservation de l'energie : initialisation
-         IF (ip_ebil_dyn.ge.1 ) THEN 
+         IF (ip_ebil_dyn>=1 ) THEN
           ztit='bil dyn'
 ! Ehouarn: be careful, diagedyn is Earth-specific!
-           IF (planet_type.eq."earth") THEN
+           IF (planet_type=="earth") THEN
             CALL diagedyn(ztit,2,1,1,dtphys
      &    , ucov    , vcov , ps, p ,pk , teta , q(:,:,1), q(:,:,2))
@@ -488,7 +488,7 @@
 c
 c  Diagnostique de conservation de l'energie : difference
-         IF (ip_ebil_dyn.ge.1 ) THEN 
+         IF (ip_ebil_dyn>=1 ) THEN
           ztit='bil phys'
-          IF (planet_type.eq."earth") THEN
+          IF (planet_type=="earth") THEN
            CALL diagedyn(ztit,2,1,1,dtphys
      &     , ucov    , vcov , ps, p ,pk , teta , q(:,:,1), q(:,:,2))
@@ -498,5 +498,5 @@
        ENDIF ! of IF( apphys )
 
-      IF(iflag_phys.EQ.2) THEN ! "Newtonian" case
+      IF(iflag_phys==2) THEN ! "Newtonian" case
 !   Academic case : Simple friction and Newtonan relaxation 
 !   -------------------------------------------------------
@@ -508,5 +508,5 @@
         ENDDO ! of DO l=1,llm 
         
-        if (planet_type.eq."giant") then
+        if (planet_type=="giant") then
           ! add an intrinsic heat flux at the base of the atmosphere
           teta(:,1)=teta(:,1)+dtvr*aire(:)*ihf/cpp/masse(:,1)
@@ -663,6 +663,6 @@
 c   -------------------------------------
 
-            IF(MOD(itau,iperiod).EQ.0 .OR. itau.EQ.itaufin) THEN
-               IF(itau.EQ.itaufin) THEN
+            IF(MOD(itau,iperiod)==0 .OR. itau==itaufin) THEN
+               IF(itau==itaufin) THEN
                   iav=1
                ELSE
@@ -694,5 +694,5 @@
 c   ------------------------------
 
-            IF( MOD(itau,iecri).EQ.0) THEN
+            IF( MOD(itau,iecri)==0) THEN
              ! Ehouarn: output only during LF or Backward Matsuno
              if (leapf.or.(.not.leapf.and.(.not.forward))) then
@@ -721,5 +721,5 @@
             ENDIF ! of IF(MOD(itau,iecri).EQ.0)
 
-            IF(itau.EQ.itaufin) THEN
+            IF(itau==itaufin) THEN
 
 
@@ -743,5 +743,5 @@
 c   ------------------------------------
 
-            IF( MOD(itau,iperiod).EQ.0 )    THEN
+            IF( MOD(itau,iperiod)==0 )    THEN
                     GO TO 1
             ELSE IF ( MOD(itau-1,iperiod). EQ. 0 ) THEN