Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5080)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5082)
@@ -114,5 +114,5 @@
       call getin_dump
 !
-      if (ierr .eq. 0) then
+      if (ierr == 0) then
         write(*,*) 'Everything is cool'
       else
@@ -142,5 +142,5 @@
 !   -------
  
-      IF(ngrid.NE.2+(jm-2)*(im-1).AND.ngrid.NE.1)                          &
+      IF(ngrid/=2+(jm-2)*(im-1).AND.ngrid/=1)                          &
      &    STOP 'probleme de dim'
 !   traitement des poles
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5080)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5082)
@@ -292,5 +292,5 @@
      jcode = iflag_nudge
      do i = 1,nudge_max
-       nudge(i) = mod(jcode,10) .ge. 1
+       nudge(i) = mod(jcode,10) >= 1
        jcode = jcode/10
      enddo
@@ -417,5 +417,5 @@
       call phys_state_var_init(read_climoz)
 
-      if (ngrid.ne.klon) then
+      if (ngrid/=klon) then
          print*,'stop in inifis'
          print*,'Probleme de dimensions :'
@@ -470,10 +470,10 @@
       zlay=-rd*300.*log(play/psurf)/rg ! moved after reading profiles. 
 
-      IF (forcing_type .eq. 59) THEN
+      IF (forcing_type == 59) THEN
 ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
       write(*,*) '***********************'
       do l = 1, llm
        write(*,*) 'l,play(l),presnivs(l): ',l,play(l),presnivs(l)
-       if (trouve_700 .and. play(l).le.70000) then
+       if (trouve_700 .and. play(l)<=70000) then
          llm700=l
          print *,'llm700,play=',llm700,play(l)/100.
@@ -590,20 +590,20 @@
         print*,'avant phyredem'
         pctsrf(1,:)=0.
-          if (nat_surf.eq.0.) then
+          if (nat_surf==0.) then
           pctsrf(1,is_oce)=1.
           pctsrf(1,is_ter)=0.
           pctsrf(1,is_lic)=0.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 1) then 
+        else if (nat_surf == 1) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=1.
           pctsrf(1,is_lic)=0.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 2) then 
+        else if (nat_surf == 2) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=0.
           pctsrf(1,is_lic)=1.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 3) then 
+        else if (nat_surf == 3) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=0.
@@ -780,7 +780,7 @@
       endif
 !======================  end restart =================================
-      IF (ecrit_slab_oc.eq.1) then
+      IF (ecrit_slab_oc==1) then
          open(97,file='div_slab.dat',STATUS='UNKNOWN')
-       elseif (ecrit_slab_oc.eq.0) then
+       elseif (ecrit_slab_oc==0) then
          open(97,file='div_slab.dat',STATUS='OLD')
        endif
@@ -796,12 +796,12 @@
            
       it_end = nint(fnday*day_step)
-      do while(it.le.it_end)
-
-       if (prt_level.ge.1) then
+      do while(it<=it_end)
+
+       if (prt_level>=1) then
          print*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
      &             it,day,time,it_end,day_step
          print*,'PAS DE TEMPS ',timestep
        endif
-       if (it.eq.it_end) lastcall=.True.
+       if (it==it_end) lastcall=.True.
 
 !---------------------------------------------------------------------
@@ -946,5 +946,5 @@
       DO l=1,llm
 
-         IF (nudging_u .LT. 0) THEN
+         IF (nudging_u < 0) THEN
               
              d_u_nudge(l)=(u_nudg_mod_cas(l)-u(l))*invtau_u_nudg_mod_cas(l)
@@ -958,5 +958,5 @@
 
 
-         IF (nudging_v .LT. 0) THEN
+         IF (nudging_v < 0) THEN
               
              d_v_nudge(l)=(v_nudg_mod_cas(l)-v(l))*invtau_v_nudg_mod_cas(l)
@@ -971,5 +971,5 @@
 
 
-         IF (nudging_t .LT. 0) THEN
+         IF (nudging_t < 0) THEN
               
              d_t_nudge(l)=(temp_nudg_mod_cas(l)-temp(l))*invtau_temp_nudg_mod_cas(l)
@@ -984,5 +984,5 @@
 
 
-         IF (nudging_qv .LT. 0) THEN
+         IF (nudging_qv < 0) THEN
               
              d_q_nudge(l,1)=(qv_nudg_mod_cas(l)-q(l,1))*invtau_qv_nudg_mod_cas(l)
@@ -1033,5 +1033,5 @@
      &               +d_q_nudge(1:mxcalc,:) )
 
-        if (prt_level.ge.3) then
+        if (prt_level>=3) then
           print *,                                                          &
      &    'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ',         &
@@ -1105,5 +1105,5 @@
       enddo
 
-      if (ecrit_slab_oc.ne.-1) close(97)
+      if (ecrit_slab_oc/=-1) close(97)
 
 !Al1 Call to 1D equivalent of dynredem (an,mois,jour,heure ?)