Index: LMDZ6/trunk/tools/make_sso/make_sso_SpherePack.f90
===================================================================
--- LMDZ6/trunk/tools/make_sso/make_sso_SpherePack.f90	(revision 5075)
+++ LMDZ6/trunk/tools/make_sso/make_sso_SpherePack.f90	(revision 5084)
@@ -6,7 +6,5 @@
 ! Purpose: Project ETOPO file (GMT4 axes conventions) on spherical harmonics.
 !-------------------------------------------------------------------------------
-  USE lmdz_netcdf, ONLY: nf90_noerr,nf90_strerror,nf90_close,nf90_put_var,nf90_enddef,&
-          nf90_put_att,nf90_global,nf90_real,nf90_def_var,nf90_def_dim,nf90_inq_varid,&
-          nf90_nowrite,nf90_inquire_dimension,nf90_inquire_variable,nf90_open
+  USE netcdf
 !  USE sphpack
   IMPLICIT NONE
Index: LMDZ6/trunk/tools/netcdf95/Attributes/nf95_copy_att.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Attributes/nf95_copy_att.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Attributes/nf95_copy_att.f90	(revision 5084)
@@ -8,5 +8,5 @@
   subroutine nf95_copy_att(ncid_in, varid_in, name, ncid_out, varid_out, ncerr)
 
-    use lmdz_netcdf, only: nf90_copy_att
+    use netcdf, only: nf90_copy_att
 
     use nf95_abort_m, only: nf95_abort
Index: LMDZ6/trunk/tools/netcdf95/Attributes/nf95_get_att.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Attributes/nf95_get_att.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Attributes/nf95_get_att.f90	(revision 5084)
@@ -2,5 +2,5 @@
 
   use nf95_abort_m, only: nf95_abort
-  use lmdz_netcdf, only: nf90_get_att, nf90_noerr
+  use netcdf, only: nf90_get_att, nf90_noerr
   use nf95_inquire_attribute_m, only: nf95_inquire_attribute
   use nf95_constants, only: nf95_noerr
Index: LMDZ6/trunk/tools/netcdf95/Attributes/nf95_get_missing.F90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Attributes/nf95_get_missing.F90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Attributes/nf95_get_missing.F90	(revision 5084)
@@ -1,5 +1,5 @@
 module nf95_get_missing_m
 
-  use lmdz_netcdf, only: nf90_noerr
+  use netcdf, only: nf90_noerr
   use nf95_get_att_m, only: nf95_get_att
 
@@ -18,5 +18,5 @@
   subroutine nf95_get_missing_real(ncid, varid, missing)
 
-    use lmdz_netcdf, only: NF90_FILL_REAL
+    use netcdf, only: NF90_FILL_REAL 
     use typesizes, only: FourByteReal
 
@@ -44,5 +44,5 @@
   subroutine nf95_get_missing_dble(ncid, varid, missing)
 
-    use lmdz_netcdf, only: NF90_FILL_double
+    use netcdf, only: NF90_FILL_double
     use typesizes, only: EightByteReal
 
@@ -70,5 +70,5 @@
   subroutine nf95_get_missing_short_int(ncid, varid, missing)
 
-    use lmdz_netcdf, only: NF90_FILL_short
+    use netcdf, only: NF90_FILL_short
     use typesizes, only: TwoByteInt
 
@@ -96,5 +96,5 @@
   subroutine nf95_get_missing_int(ncid, varid, missing)
 
-    use lmdz_netcdf, only: NF90_FILL_INT
+    use netcdf, only: NF90_FILL_INT
 
     integer, intent(in)::  ncid, varid
@@ -121,5 +121,5 @@
   subroutine nf95_get_missing_char(ncid, varid, missing)
 
-    use lmdz_netcdf, only: NF90_FILL_char
+    use netcdf, only: NF90_FILL_char
 
     integer, intent(in)::  ncid, varid
Index: LMDZ6/trunk/tools/netcdf95/Attributes/nf95_inquire_attribute.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Attributes/nf95_inquire_attribute.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Attributes/nf95_inquire_attribute.f90	(revision 5084)
@@ -10,5 +10,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_inquire_attribute
+    use netcdf, only: nf90_inquire_attribute
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Attributes/nf95_put_att.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Attributes/nf95_put_att.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Attributes/nf95_put_att.f90	(revision 5084)
@@ -1,5 +1,5 @@
 module nf95_put_att_m
 
-  use lmdz_netcdf, only: nf90_put_att
+  use netcdf, only: nf90_put_att
   use nf95_abort_m, only: nf95_abort
   use nf95_constants, only: nf95_noerr
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_close.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_close.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_close.f90	(revision 5084)
@@ -10,5 +10,5 @@
     ! call it.
 
-    use lmdz_netcdf, only: nf90_close, nf90_strerror
+    use netcdf, only: nf90_close, nf90_strerror
 
     use nf95_constants, only: nf95_noerr
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_create.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_create.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_create.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_create
+    use netcdf, only: nf90_create
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_create_single.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_create_single.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_create_single.f90	(revision 5084)
@@ -1,5 +1,5 @@
 module nf95_create_single_m
 
-  use lmdz_netcdf, only: NF90_MAX_NAME
+  use netcdf, only: NF90_MAX_NAME
 
   implicit none
@@ -19,5 +19,5 @@
     ! Shortcut to create a file containing a single primary variable.
 
-    use lmdz_netcdf, only: NF90_CLOBBER, NF90_FLOAT
+    use netcdf, only: NF90_CLOBBER, NF90_FLOAT
 
     use nf95_create_m, only: nf95_create
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_enddef.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_enddef.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_enddef.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_enddef
+    use netcdf, only: nf90_enddef
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_find_coord.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_find_coord.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_find_coord.f90	(revision 5084)
@@ -15,5 +15,5 @@
     ! attribute "std_name".
 
-    use lmdz_netcdf, only: NF90_MAX_NAME, NF90_NOERR
+    use netcdf, only: NF90_MAX_NAME, NF90_NOERR
     use nf95_get_att_m, only: nf95_get_att
     use nf95_inq_varid_m, only: nf95_inq_varid
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_inquire.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_inquire.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_inquire.f90	(revision 5084)
@@ -10,5 +10,5 @@
     
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_inquire
+    use netcdf, only: nf90_inquire
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_open.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_open.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_open.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_open
+    use netcdf, only: nf90_open
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_redef.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_redef.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_redef.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_redef
+    use netcdf, only: nf90_redef
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Datasets/nf95_sync.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Datasets/nf95_sync.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Datasets/nf95_sync.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_sync
+    use netcdf, only: nf90_sync
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_file_ncid.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_file_ncid.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_file_ncid.f90	(revision 5084)
@@ -11,5 +11,5 @@
     ! by nf95_abort, so it cannot call it.
 
-    use lmdz_netcdf, only: nf90_strerror
+    use netcdf, only: nf90_strerror
 
     use nf95_constants, only: Nf95_ENOGRP, nf95_noerr
Index: LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_grp_parent.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_grp_parent.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_grp_parent.f90	(revision 5084)
@@ -12,5 +12,5 @@
     use, intrinsic:: ISO_C_BINDING
 
-    use lmdz_netcdf, only: nf90_strerror
+    use netcdf, only: nf90_strerror
 
     use nc_constants, only: NC_NOERR
Index: LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_grps.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_grps.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Groups/nf95_inq_grps.f90	(revision 5084)
@@ -26,5 +26,5 @@
     use, intrinsic:: ISO_C_BINDING
 
-    use lmdz_netcdf, only: nf90_noerr
+    use netcdf, only: nf90_noerr
 
     use nc_constants, only: nc_noerr
Index: LMDZ6/trunk/tools/netcdf95/Variables/check_start_count.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Variables/check_start_count.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Variables/check_start_count.f90	(revision 5084)
@@ -19,5 +19,5 @@
     use nf95_close_m, only: nf95_close
     use nf95_inquire_variable_m, only: nf95_inquire_variable
-    use lmdz_netcdf, only: nf90_noerr
+    use netcdf, only: nf90_noerr
 
     character(len=*), intent(in):: name_calling ! name of calling procedure
Index: LMDZ6/trunk/tools/netcdf95/Variables/nf95_def_var.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Variables/nf95_def_var.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Variables/nf95_def_var.f90	(revision 5084)
@@ -7,5 +7,5 @@
   ! "nf95_def_var_scalar" cannot be distinguished from "nf95_def_var_oneDim".
 
-  use lmdz_netcdf, only: nf90_def_var
+  use netcdf, only: nf90_def_var
   use nf95_abort_m, only: nf95_abort
   use nf95_constants, only: nf95_noerr
Index: LMDZ6/trunk/tools/netcdf95/Variables/nf95_get_var.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Variables/nf95_get_var.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Variables/nf95_get_var.f90	(revision 5084)
@@ -1,5 +1,5 @@
 module nf95_get_var_m
 
-  use lmdz_netcdf, only: nf90_get_var, NF90_NOERR
+  use netcdf, only: nf90_get_var, NF90_NOERR
   
   use nf95_abort_m, only: nf95_abort
Index: LMDZ6/trunk/tools/netcdf95/Variables/nf95_inq_varid.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Variables/nf95_inq_varid.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Variables/nf95_inq_varid.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_inq_varid
+    use netcdf, only: nf90_inq_varid
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Variables/nf95_inquire_variable.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Variables/nf95_inquire_variable.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Variables/nf95_inquire_variable.f90	(revision 5084)
@@ -16,5 +16,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_inquire_variable, nf90_max_var_dims
+    use netcdf, only: nf90_inquire_variable, nf90_max_var_dims
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/Variables/nf95_put_var.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/Variables/nf95_put_var.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/Variables/nf95_put_var.f90	(revision 5084)
@@ -1,5 +1,5 @@
 module nf95_put_var_m
 
-  use lmdz_netcdf, only: nf90_put_var
+  use netcdf, only: nf90_put_var
   use nf95_abort_m, only: nf95_abort
   use check_start_count_m, only: check_start_count
Index: LMDZ6/trunk/tools/netcdf95/nf95_abort.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/nf95_abort.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/nf95_abort.f90	(revision 5084)
@@ -10,5 +10,5 @@
 
     ! Libraries:
-    use lmdz_netcdf, only: nf90_strerror
+    use netcdf, only: nf90_strerror
 
     use nf95_close_m, only: nf95_close
Index: LMDZ6/trunk/tools/netcdf95/nf95_def_dim.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/nf95_def_dim.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/nf95_def_dim.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_def_dim
+    use netcdf, only: nf90_def_dim
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/nf95_inq_dimid.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/nf95_inq_dimid.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/nf95_inq_dimid.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_inq_dimid
+    use netcdf, only: nf90_inq_dimid
     use nf95_constants, only: nf95_noerr
 
Index: LMDZ6/trunk/tools/netcdf95/nf95_inquire_dimension.f90
===================================================================
--- LMDZ6/trunk/tools/netcdf95/nf95_inquire_dimension.f90	(revision 5075)
+++ LMDZ6/trunk/tools/netcdf95/nf95_inquire_dimension.f90	(revision 5084)
@@ -8,5 +8,5 @@
 
     use nf95_abort_m, only: nf95_abort
-    use lmdz_netcdf, only: nf90_inquire_dimension
+    use netcdf, only: nf90_inquire_dimension
     use nf95_constants, only: nf95_noerr
 