Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_conserv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_conserv_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_conserv_m.F90	(revision 5086)
@@ -97,5 +97,5 @@
              vt(it) = vt(it) + (xs(is + 1) - xs(is)) * vs(is)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it) = (vt(it) + mean_lin(xs(is), xt(it + 1)) * (xt(it + 1) &
@@ -105,5 +105,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
@@ -170,5 +170,5 @@
              vt(it, :) = vt(it, :) + (xs(is + 1) - xs(is)) * vs(is, :)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it, :) = (vt(it, :) + mean_lin(xs(is), xt(it + 1)) * (xt(it + 1) &
@@ -178,5 +178,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
@@ -246,5 +246,5 @@
              vt(it, :, :) = vt(it, :, :) + (xs(is + 1) - xs(is)) * vs(is, :, :)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it, :, :) = (vt(it, :, :) + mean_lin(xs(is), xt(it + 1)) &
@@ -254,5 +254,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
@@ -324,5 +324,5 @@
                   * vs(is, :, :, :)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it, :, :, :) = (vt(it, :, :, :) + mean_lin(xs(is), xt(it + 1)) &
@@ -332,5 +332,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_lint_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_lint_m.F90	(revision 5086)
@@ -53,5 +53,5 @@
        vt(it) = ((xs(is_b+1) - xt(it)) * vs(is_b) &
             + (xt(it) - xs(is_b)) * vs(is_b+1)) / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr11_lint
@@ -92,5 +92,5 @@
        vt(it, :) = ((xs(is_b+1) - xt(it)) * vs(is_b, :) &
             + (xt(it) - xs(is_b)) * vs(is_b+1, :)) / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr12_lint
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90	(revision 5086)
@@ -73,5 +73,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it) = (vt(it) + (xt(it + 1) - left_edge) * vs(is)) &
@@ -79,5 +79,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr11_step_av
@@ -133,5 +133,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :) = (vt(it, :) + (xt(it + 1) - left_edge) * vs(is, :)) &
@@ -139,5 +139,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr12_step_av
@@ -194,5 +194,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :, :) = (vt(it, :, :) &
@@ -200,5 +200,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr13_step_av
@@ -256,5 +256,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :, :, :) = (vt(it, :, :, :) + (xt(it + 1) - left_edge) &
@@ -262,5 +262,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr14_step_av
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr3_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr3_lint_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr3_lint_m.F90	(revision 5086)
@@ -53,5 +53,5 @@
        vt(:, :, it) = ((xs(is_b+1) - xt(it)) * vs(:, :, is_b) &
             + (xt(it) - xs(is_b)) * vs(:, :, is_b+1)) / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr33_lint
@@ -94,5 +94,5 @@
             + (xt(it) - xs(is_b)) * vs(:, :, is_b+1, :)) &
             / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr34_lint
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr_lat_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr_lat_time_climoz_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr_lat_time_climoz_m.F90	(revision 5086)
@@ -249,5 +249,5 @@
              do while (o3_in(j, 1, l, m) == missing_value)
                 j = j + 1
-             end do
+             END DO
              if (j > 1) o3_in(:j-1, :, l, m) = &
                   spread(o3_in(j, :, l, m), dim=1, ncopies=j-1)
@@ -257,5 +257,5 @@
              do while (o3_in(j, 1, l, m) == missing_value)
                 j = j - 1
-             end do
+             END DO
              if (j < n_lat) o3_in(j+1:, :, l, m) = &
                   spread(o3_in(j, :, l, m), dim=1, ncopies=n_lat-j)
@@ -270,16 +270,16 @@
                 do while  (o3_in(j, k, l, m) /= missing_value .and. k < n_plev)
                    k = k + 1
-                end do
+                END DO
                 ! Replace missing values with the valid value at the
                 ! lowest level above missing values:
                 if (o3_in(j, k, l, m) == missing_value) &
                      o3_in(j, k:n_plev, l, m) = o3_in(j, k-1, l, m)
-             end do
-          end do
+             END DO
+          END DO
        else
           print *, "regr_lat_time_climoz: field ", m, &
                ", no missing value attribute"
        end if
-    end do
+    END DO
 
     call nf95_close(ncid_in)
@@ -322,5 +322,5 @@
        call nf95_put_var(ncid_out, varid_out(m), o3_out(nbp_lat:1:-1, :, :, m))
        ! (The order of "rlatu" is inverted in the output file)
-    end do
+    END DO
 
     call nf95_close(ncid_out)
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr_pr_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr_pr_av_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr_pr_av_m.F90	(revision 5086)
@@ -99,5 +99,5 @@
           call handle_err("regr_pr_av nf90_get_var " // trim(name(i)), ncerr, &
                ncid)
-       end do
+       END DO
        
        ! Latitudes are in ascending order in the input file while
@@ -118,5 +118,5 @@
             slopes(v2(i, :, :), press_in_edg))
        ! (invert order of indices because "paprs" is in descending order)
-    end do
+    END DO
 
   end subroutine regr_pr_av