Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/VARdSV.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/VARdSV.F90	(revision 5086)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/VARdSV.F90	(revision 5087)
@@ -57,18 +57,18 @@
 
       REAL,PARAMETER    ::   etadSV(0:nsot) = (/ 1.000,0.395,0.410,     &
-     &     0.435,0.485,0.451,0.420,0.477,0.476,0.426,0.492,0.482,0.001 /)      
+       0.435,0.485,0.451,0.420,0.477,0.476,0.426,0.492,0.482,0.001 /)
                                                   ! Water Content at Saturation  [m3/m3]
 
       REAL,PARAMETER    ::   psidSV(0:nsot) = (/ 1.000,0.121,0.090,     &
-     &     0.218,0.786,0.478,0.299,0.356,0.630,0.153,0.490,0.405,0.001 /)
+       0.218,0.786,0.478,0.299,0.356,0.630,0.153,0.490,0.405,0.001 /)
                                                   ! Water Succion at Saturation      [m]
 
       REAL,PARAMETER    ::   Ks_dSV(0:nsot) = (/ 0.e00, 176.0e-6,       &
-     &          156.3e-6,  34.1e-6,   7.2e-6,   7.0e-6,   6.3e-6,       &
-     &            1.7e-6,   2.5e-6,   2.2e-6,   1.0e-6,   1.3e-6,0.0e0 /)
+            156.3e-6,  34.1e-6,   7.2e-6,   7.0e-6,   6.3e-6,       &
+              1.7e-6,   2.5e-6,   2.2e-6,   1.0e-6,   1.3e-6,0.0e0 /)
                                                   ! Hydraulic Conductivity
                                                   !               at Saturation    [m/s]
       REAL,PARAMETER    ::   bCHdSV(0:nsot) = (/ 1.00, 4.05, 4.38,      &
-     &      4.90, 5.30, 5.39, 7.12, 7.75, 8.52,10.40,10.40,11.40, 0.02 /)
+        4.90, 5.30, 5.39, 7.12, 7.75, 8.52,10.40,10.40,11.40, 0.02 /)
                                                   ! Clapp-Hornberger Coefficient b   [-]
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/VARphy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/VARphy.F90	(revision 5086)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/VARphy.F90	(revision 5087)
@@ -26,7 +26,7 @@
       INTEGER, PARAMETER ::  iun=1                                             
       REAL, PARAMETER    ::  zer0 = 0.0e+0, half = 0.5e+0, un_1 = 1.0e+0,     &
-     &                       eps6 = 1.0e-6, R_1000=1.e3   
+                         eps6 = 1.0e-6, R_1000=1.e3
       REAL, PARAMETER    ::  zero = 0.0e+0, demi = 0.5e+0, unun = 1.0e+0,     &
-     &                       epsi = 1.0e-6, eps9 = 1.0e-9         
+                         epsi = 1.0e-6, eps9 = 1.0e-9
       REAL               ::  ea_MAX,ea_MIN                                                                               
       REAL, PARAMETER    ::  pi = 3.141592653589793238462643e0
@@ -40,5 +40,5 @@
                                                                                
       REAL, PARAMETER    ::  gravit = 9.81e0,      gravi2 = gravit**2 ,       &
-     &                       grvinv = 1./gravit                       
+                         grvinv = 1./gravit
 !C +                   gravit: Earth Gravity Acceleration    = 9.81    m/s2    
 !C +                   gravi2: idem (squared)                                  
@@ -55,10 +55,10 @@
                                                        
       REAL, PARAMETER    ::  RVapor=461.e0, Lv_H2O=2.5008e+6,&
-     &                       Ls_H2O=2.8345e+6, r_LvCp=2490.04,r_LcCp=332.27,  &
-     &                       r_LsCp=2822.31            
+                         Ls_H2O=2.8345e+6, r_LvCp=2490.04,r_LcCp=332.27,  &
+                         r_LsCp=2822.31
 !C +                   cp    : dry air specific heat at constant p (1004 J/kg/K) 
 
       REAL, PARAMETER    ::  LhfH2O=3.34e+5, LhvH2O=2.5008e+6,&
-     &                       LhsH2O=2.8345e+6     
+                         LhsH2O=2.8345e+6
       REAL, PARAMETER    ::  rhoWat=1000.00e0    
 !C +                   rhoWat: Water Specific Mass            = 1000.00d+0 kg/m3 
@@ -81,5 +81,5 @@
                                                                                 
       REAL, PARAMETER    ::  TfSnow=273.15e+0,csnow=2105.00e+0,r0sno=3.00e+1, &
-     &                       blsno=3.30e+2,   Lf_H2O=3.337e+5                          
+                         blsno=3.30e+2,   Lf_H2O=3.337e+5
 !C +...                TfSnow:        Snow melting Temperature=  273.15d+0 K     
 !C +                    csnow:Heat Capacity of Snow             2105      J/kg/K 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5086)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5087)
@@ -501,5 +501,5 @@
                 write(un_outfor, *) fn_outfor, ikl, dt__SV, rlon(ikl2i(ikl)), rlat(ikl2i(ikl))
                 write(un_outfor, *) 'nsnow - albedo - z0m - z0h , dz [m,30], temp [K,41], rho [kg/m3,41], eta [kg/kg,41] &
-                        & G1 [-,30], G2 [-,30], agesnow [d,30], history [-,30], DOP [m,30]'
+   G1 [-,30], G2 [-,30], agesnow [d,30], history [-,30], DOP [m,30]'
             END IF
 
@@ -963,6 +963,6 @@
             dz_8SV(isl) = 0.125 * dz_dSV(isl)
             dzAvSV(isl) = 0.125 * dz_dSV(islmSV(isl))                        &
-                    & + 0.750 * dz_dSV(isl)                                &
-                    & + 0.125 * dz_dSV(islpSV(isl))
+   + 0.750 * dz_dSV(isl)                                &
+   + 0.125 * dz_dSV(islpSV(isl))
             zz_dSV = zz_dSV + dz_dSV(isl)
         END DO
@@ -986,8 +986,8 @@
             rocsSV(ist) = (1.0 - etadSV(ist)) * 1.2E+6   ! Soil Contrib. to (ro c)_s
             s1__SV(ist) = bCHdSV(ist)          & ! Factor of (eta)**(b+2)
-                    & * psidSV(ist) * Ks_dSV(ist)          & !    in DR97, Eqn.(3.36)
-                    & / (etadSV(ist)**(bCHdSV(ist) + 3.))     !
+   * psidSV(ist) * Ks_dSV(ist)          & !    in DR97, Eqn.(3.36)
+   / (etadSV(ist)**(bCHdSV(ist) + 3.))     !
             s2__SV(ist) = Ks_dSV(ist)          & ! Factor of (eta)**(2b+3)
-                    & / (etadSV(ist)**(2. * bCHdSV(ist) + 3.))     !    in DR97, Eqn.(3.35)
+   / (etadSV(ist)**(2. * bCHdSV(ist) + 3.))     !    in DR97, Eqn.(3.35)
 
             !C +--Soil Minimum Humidity (from a prescribed minimum relative Humidity)
@@ -995,5 +995,5 @@
             Psimax = -(log(RHsMin)) / 7.2E-5        ! DR97, Eqn 3.15 Inversion
             etamSV(ist) = etadSV(ist)                                      &
-                    & * (PsiMax / psidSV(ist))**(-min(10., 1. / bCHdSV(ist)))
+   * (PsiMax / psidSV(ist))**(-min(10., 1. / bCHdSV(ist)))
         END DO
         etamSV(12) = 0.
@@ -1008,7 +1008,7 @@
             DO ikh = 0, nkhy
                 Khyd_1 = s2__SV(ist)             & ! DR97, Eqn.(3.35)
-                        & * (eta__1      **(2. * bCHdSV(ist) + 3.))        !
+   * (eta__1      **(2. * bCHdSV(ist) + 3.))        !
                 Khyd_2 = s2__SV(ist)             &!
-                        & * (eta__2      **(2. * bCHdSV(ist) + 3.))        !
+   * (eta__2      **(2. * bCHdSV(ist) + 3.))        !
 
                 a_Khyd = (Khyd_2 - Khyd_1) / d__eta   !