Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F	(revision 5088)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F	(revision 5090)
@@ -27,14 +27,13 @@
      $                  pdpsfi)
 c
-c    Auteur :  P. Le Van, F. Hourdin 
+c    Auteur :  P. Le Van, F. Hourdin
 c   .........
       USE infotrac, ONLY: nqtot, tracers
       USE control_mod, ONLY: planet_type, nsplit_phys
-#ifdef CPP_PHYS
       USE callphysiq_mod, ONLY: call_physiq
-#endif 
+      USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
       USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
       USE comvert_mod, ONLY: preff, presnivs
-      
+
       IMPLICIT NONE
 c=======================================================================
@@ -48,14 +47,14 @@
 c   ----------
 c
-c    - les vents sont donnes dans la physique par leurs composantes 
+c    - les vents sont donnes dans la physique par leurs composantes
 c      naturelles.
 c    - la variable thermodynamique de la physique est une variable
-c      intensive :   T 
+c      intensive :   T
 c      pour la dynamique on prend    T * ( preff / p(l) ) **kappa
 c    - les deux seules variables dependant de la geometrie necessaires
-c      pour la physique sont la latitude pour le rayonnement et 
-c      l'aire de la maille quand on veut integrer une grandeur 
+c      pour la physique sont la latitude pour le rayonnement et
+c      l'aire de la maille quand on veut integrer une grandeur
 c      horizontalement.
-c    - les points de la physique sont les points scalaires de la 
+c    - les points de la physique sont les points scalaires de la
 c      la dynamique; numerotation:
 c          1 pour le pole nord
@@ -67,5 +66,5 @@
 c     -------
 c       pucov           covariant zonal velocity
-c       pvcov           covariant meridional velocity 
+c       pvcov           covariant meridional velocity
 c       pteta           potential temperature
 c       pps             surface pressure
@@ -77,5 +76,5 @@
 c    --------
 c        pdufi          tendency for the natural zonal velocity (ms-1)
-c        pdvfi          tendency for the natural meridional velocity 
+c        pdvfi          tendency for the natural meridional velocity
 c        pdhfi          tendency for the potential temperature
 c        pdtsfi         tendency for the surface temperature
@@ -165,5 +164,5 @@
       REAL flxwfi(ngridmx,llm)  ! Flux de masse verticale sur la grille physiq
 c
-      
+
       REAL SSUM
 
@@ -201,5 +200,5 @@
 c   ----------------------------------
 
-       
+
       zpsrf(1) = pps(1,1)
 
@@ -217,5 +216,5 @@
 c   -----------------------------------------------------------------
 c     .... zplev  definis aux (llm +1) interfaces des couches  ....
-c     .... zplay  definis aux (  llm )    milieux des couches  .... 
+c     .... zplay  definis aux (  llm )    milieux des couches  ....
 c   -----------------------------------------------------------------
 
@@ -329,6 +328,6 @@
 
 c   ....  Calcul de la vitesse  verticale  ( en Pa*m*s  ou Kg/s )  ....
-c JG : ancien calcule de omega utilise dans physiq.F. Maintenant le flux 
-c    de masse est calclue dans advtrac.F  
+c JG : ancien calcule de omega utilise dans physiq.F. Maintenant le flux
+c    de masse est calclue dans advtrac.F
 c      DO l=1,llm
 c        pvervel(1,l)=pw(1,1,l) * g /apoln
@@ -351,7 +350,7 @@
          DO j=2,jjm
             ig0 = 1+(j-2)*iim
-            zufi(ig0+1,l)= 0.5 * 
+            zufi(ig0+1,l)= 0.5 *
      $      ( pucov(iim,j,l)/cu(iim,j) + pucov(1,j,l)/cu(1,j) )
-            pcvgu(ig0+1,l)= 0.5 * 
+            pcvgu(ig0+1,l)= 0.5 *
      $      ( pducov(iim,j,l)/cu(iim,j) + pducov(1,j,l)/cu(1,j) )
             DO i=2,iim
@@ -373,6 +372,6 @@
           do j=1,jjm
             zrot(i,j,l) = (pvcov(i+1,j,l) - pvcov(i,j,l)
-     $                   + pucov(i,j+1,l) - pucov(i,j,l)) 
-     $                   / (cu(i,j)+cu(i,j+1)) 
+     $                   + pucov(i,j+1,l) - pucov(i,j,l))
+     $                   / (cu(i,j)+cu(i,j+1))
      $                   / (cv(i+1,j)+cv(i,j)) *4
           enddo
@@ -402,5 +401,5 @@
 
 
-c   47. champs de vents aux pole nord   
+c   47. champs de vents aux pole nord
 c   ------------------------------
 c        U = 1 / pi  *  integrale [ v * cos(long) * d long ]
@@ -475,5 +474,5 @@
       zdqfic(:,:,:)=0.
 
-#ifdef CPP_PHYS
+       IF (CPPKEY_PHYS) THEN
 
        do isplit=1,nsplit_phys
@@ -500,5 +499,5 @@
 !     .             nqtot,          !! nq
 !     .             tracers(:)%name,!! tracer names from dynamical core (given in infotrac)
-!     .             debut_split,    !! firstcall 
+!     .             debut_split,    !! firstcall
 !     .             lafin_split,    !! lastcall
 !     .             jD_cur,         !! pday. see leapfrog
@@ -534,6 +533,5 @@
        enddo ! of do isplit=1,nsplit_phys
 
-#endif
-! of #ifdef CPP_PHYS
+       END IF
 
       zdufi(:,:)=zdufic(:,:)/nsplit_phys
@@ -541,7 +539,4 @@
       zdtfi(:,:)=zdtfic(:,:)/nsplit_phys
       zdqfi(:,:,:)=zdqfic(:,:,:)/nsplit_phys
-
-
-500   CONTINUE
 
 c-----------------------------------------------------------------------
@@ -681,7 +676,4 @@
 
 c-----------------------------------------------------------------------
-
-700   CONTINUE
- 
       firstcal = .FALSE.
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5088)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5090)
@@ -28,9 +28,5 @@
           pdqfi, &
           pdpsfi)
-#ifdef CPP_PHYS
-    ! If using physics
-    !
-    !    Auteur :  P. Le Van, F. Hourdin
-    !   .........
+
     USE dimphy
     USE mod_phys_lmdz_mpi_data, mpi_root_xx=>mpi_master
@@ -39,5 +35,5 @@
     USE mod_interface_dyn_phys
     USE IOPHY
-#endif
+
     USE lmdz_mpi
 
@@ -49,7 +45,7 @@
     USE infotrac, ONLY : nqtot, tracers
     USE control_mod, ONLY : planet_type, nsplit_phys
-#ifdef CPP_PHYS
     USE callphysiq_mod, ONLY: call_physiq
-#endif
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
+
     USE comvert_mod, ONLY : preff, presnivs
     USE comconst_mod, ONLY : cpp, daysec, dtphys, dtvr, kappa, pi
@@ -146,5 +142,5 @@
     REAL, INTENT(OUT) :: pdpsfi(iip1, jjb_u:jje_u) ! tendency on surface pressure (Pa/s)
 
-#ifdef CPP_PHYS
+
   ! Ehouarn: for now calfis_p needs some informations from physics to compile
   !    Local variables :
@@ -237,4 +233,6 @@
   INTEGER :: jjb,jje
 
+    IF (CPPKEY_PHYS) THEN
+
   !
   !-----------------------------------------------------------------------
@@ -249,5 +247,5 @@
   IF ( firstcal )  THEN
     debut = .TRUE.
-    IF (ngridmx.NE.2+(jjm-1)*iim) THEN
+    IF (ngridmx/=2+(jjm-1)*iim) THEN
       write(lunout,*) 'STOP dans calfis'
       write(lunout,*) &
@@ -719,5 +717,4 @@
   zdqfic_omp(:,:,:)=0.
 
-#ifdef CPP_PHYS
   do isplit=1,nsplit_phys
 
@@ -750,7 +747,4 @@
   enddo
 
-#endif
-  ! of #ifdef CPP_PHYS
-
 
   zdufi_omp(:,:)=zdufic_omp(:,:)/nsplit_phys
@@ -847,5 +841,4 @@
 
   klon=klon_mpi
-500   CONTINUE
 !$OMP BARRIER
 
@@ -1204,9 +1197,6 @@
   !-----------------------------------------------------------------------
 
-700   CONTINUE
-
   firstcal = .FALSE.
-#endif
-  ! of #ifdef CPP_PHYS
+END IF
   END SUBROUTINE calfis_loc
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5088)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5090)
@@ -76,5 +76,5 @@
                   NF90_CLOBBER, NF90_ENDDEF,  NF90_UNLIMITED, NF90_FLOAT,      &
                   NF90_64BIT_OFFSET
-  USE lmdz_netcdf_format, ONLY: nf90_format
+  USE lmdz_cppkeys_wrapper, ONLY: nf90_format
   USE inter_barxy_m,      ONLY: inter_barxy
   USE netcdf95,           ONLY: nf95_def_var, nf95_put_att, nf95_put_var